InvalidObjectException (Java SE 21 & JDK 21)
Description: declaration: module: java.base, package: java.io, class: InvalidObjectException
Keywords: java.io.InvalidObjectException class

Module java.base
Package java.io

# Class InvalidObjectException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
java.io.ObjectStreamException
java.io.InvalidObjectException

All Implemented Interfaces:
  `Serializable`

public class InvalidObjectException extends ObjectStreamException
Indicates that one or more deserialized objects failed validation tests. The argument should provide the reason for the failure.

Since:
  1.1, 1.1
See Also:
  - `ObjectInputValidation`
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InvalidObjectException(String reason)`
  Constructs an `InvalidObjectException`.
  `InvalidObjectException(String reason, Throwable cause)`
  Constructs an `InvalidObjectException` with the given reason and cause.

- ## Method Summary

  ### Methods declared in class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### InvalidObjectException

    public InvalidObjectException(String reason)
    Constructs an `InvalidObjectException`.
    Parameters:
      `reason` - Detailed message explaining the reason for the failure.
    See Also:
      - `ObjectInputValidation`

  - ### InvalidObjectException

    public InvalidObjectException(String reason, Throwable cause)
    Constructs an `InvalidObjectException` with the given reason and cause.
    Parameters:
      `reason` - Detailed message explaining the reason for the failure.
      `cause` - the cause
    Since:
      19
    See Also:
      - `ObjectInputValidation`